#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-6OME8vXkEWtB7djizV60l6
key:                  ghcide-1.4.1.0-6OME8vXkEWtB7djizV60l6
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  d8f9e47a566b0c3bbaf4073b1a10f255
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.1.0
hs-libraries:         HSghcide-1.4.1.0-6OME8vXkEWtB7djizV60l6
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.2-FxPBWtL4naFIMrXUCDxzd6
    aeson-1.5.6.0-5GxEynAdVr82B7C7yhxG6H
    aeson-pretty-0.8.9-71TJn79Gxiu50vPxdZ1HuH array-0.5.4.0
    async-2.2.3-F66xIo1maxg6MMExHrEBEX base-4.15.0.0
    base16-bytestring-1.0.1.0-1W0eOyz2lRFFHRqvFSDAjG binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-guKuAVn6ql2wb8f40V0Pk
    case-insensitive-1.2.1.0-FCFhfzQYxqR9hm1zBM9CTX containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-G72xpj8UiZi7YKGl9obtXk deepseq-1.4.5.0
    dependent-map-0.4.0.0-95DBXCgKK2y3a6giMqUAT5
    dependent-sum-0.7.1.0-HB3aUv9lLMo4uPUo2hb32I directory-1.3.6.1
    dlist-1.0-B9EO9gomW7076kzacBTG5L
    extra-1.7.10-DzxxpLYsMb6EhOaVSpdkFl filepath-1.4.2.1
    fingertree-0.1.4.2-BVdS55nvMc7A0aIEPoDbqF
    fuzzy-0.1.0.1-7NTDezaoe4bAIQY3fAy9le ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-4IADAmvuvtQtlr8iQdHzu
    ghc-exactprint-0.6.4-JBprNzjtGiAFtaR0IEDpGA
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-8J0ftErL6C5Jue9IST0mvx
    hashable-1.3.4.1-5NDVV6nsO4l1z422uKeFYD
    heapsize-0.3.0.1-90j5rCGPKZ2JdFv3EH2RxK
    hie-bios-0.7.6-KxrdXPdpRYZLJJVzWbMHxx
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.1.0-68FBONfW9Zh7LuVmjW8Yoo
    hls-graph-1.4.0.0-QBy80EjP5Z9krxcMkoMZS
    hls-plugin-api-1.2.0.0-IDAQ3K6AdX2ITd0ebKHzjt
    hslogger-1.3.1.0-JP8me9dXZa34IDFtlj3zUN
    implicit-hie-cradle-0.3.0.5-IeBs0BKVYPiKTzLCOQy6Yl
    lens-5.0.1-9pbMt139R9N5tQynASPlkd
    lsp-1.2.0.1-IpH4JRTl7rTBz4NuaRg4hE
    lsp-types-1.3.0.1-HZR6GeAwYZ8K5dDZNUT8eh mtl-2.2.2
    network-uri-2.6.4.1-EcTGxkqzrae6EblsSSbJxc
    opentelemetry-0.7.0-hqfrOIOREHHNdUxkqsiq7
    optparse-applicative-0.16.1.0-6S7Llse6zn89jhOFhfBMKP
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-IOQCxsXofU13oWbyVi9CJ2
    prettyprinter-ansi-terminal-1.1.3-KeS83TQ44T86thURd0X8B9
    regex-tdfa-1.3.1.1-JysT5HHQf7SDqagoTfdJw
    retrie-1.0.0.0-DdwHVm1ur5NIK00LIvTK1D
    rope-utf16-splay-0.3.2.0-7b9sWYbPcruDnPrhJovqBQ
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-Grp2PFj7WkdKEITG0iSCuS
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-4JbwiB6q7FIHip0zJNC2U9 stm-2.5.0.0
    syb-0.7.2.1-JG4kH6P0JxMKeIFdjWhhC8 text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-FBeeklVEqLlDqY0Mum2BgB
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-EvtGmSgibELG8puyj0bZfl
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.1-BYdg1PRFj4WB38iHU29MVy

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

